# Method: bidders.endpoints.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#body.ListEndpointsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#try-it)

Lists all the bidder's endpoints.

### HTTP request

`GET https://realtimebidding.googleapis.com/v1/{parent=bidders/*}/endpoints`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of the bidder whose endpoints will be listed. Format: `bidders/{bidderAccountId}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of endpoints to return. If unspecified, at most 100 endpoints will be returned. The maximum value is 500; values above 500 will be coerced to 500. |
| `pageToken` | `string` A token identifying a page of results the server should return. This value is received from a previous `endpoints.list` call in `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#body.ListEndpointsResponse.FIELDS.next_page_token`. |

### Request body

The request body must be empty.

### Response body

A response containing bidder endpoints.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "endpoints": [ { object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints#Endpoint`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `endpoints[]` | ``object (`https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints#Endpoint`)`` List of bidder endpoints. |
| `nextPageToken` | `string` A token which can be passed to a subsequent call to the `endpoints.list` method to retrieve the next page of results in `https://developers.google.com/authorized-buyers/apis/realtimebidding/reference/rest/v1/bidders.endpoints/list#body.QUERY_PARAMETERS.page_token`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/realtime-bidding`